/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package modelo;

import java.util.ArrayList;

/**
 *Clase Matriz que guarda la matriz de rastreabilidad
 */
public class Matriz {
    /**
     * Nombre de la Matriz de rastreabilidad.
     */
    private String nombre;
    /**
     * Listado de los elementos trazables que componen la fila
     */
    private ArrayList<String> mfila;
    /**
     * Listado de los elementos trazables que componen la columna
     */
    private ArrayList<String> mcolumna;
    /**
     * Este parámetro estático, lleva la cuenta del número de matrices
     * que se han creado, para poder reconocerlos unívocamente.
     */
    static int n_instancia=0;
    /**
     * identificador único de la matriz de rastreabilidad
     */
    private int numero_id;
    
    /**
     * COntructor de la Matriz que inicializa el identificador.
     */
    
    public Matriz () {
        n_instancia++;
        numero_id=n_instancia;
    }

    /**
     * @return the nombre
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * @param nombre the nombre to set
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    /**
     * @return the numero_id
     */
    public int getNumero_id() {
        return numero_id;
    }

    /**
     * @return the mfila
     */
    public ArrayList<String> getMfila() {
        return mfila;
    }

    /**
     * @param mfila the mfila to set
     */
    public void setMfila(ArrayList<String> mfila) {
        this.mfila = mfila;
    }

    /**
     * @return the mcolumna
     */
    public ArrayList<String> getMcolumna() {
        return mcolumna;
    }

    /**
     * @param mcolumna the mcolumna to set
     */
    public void setMcolumna(ArrayList<String> mcolumna) {
        this.mcolumna = mcolumna;
    }

    @Override
    public String toString() {
        return "[MAT]-"+numero_id+" "+nombre;
    }
    
}
